#include <iostream>
#include<bits/stdc++.h>

using namespace std;

struct maca{int rb,f1;}  mg[100005];

int t[100005],f3[100005],marka[100005];

int poredi(maca a,maca b)
{
    if((a.f1-f3[a.rb])<(b.f1-f3[b.rb])) return 1;
    else return 0;
}

long long Resi(int N, int *A, int *B)
{
    int i,j,k,x,n,y,u;  n=N;
    long long int r,res=100000000000ll;

    for(i=0;i<n;i++)
    {
        mg[i].rb=i;

        x=A[i];  y=B[i];

        for(j=0;j<n;j++) marka[j]=0;

        for(j=0;j<n;j++)
        {
            if(A[j]<x && B[j]>x && B[j]<y)  mg[i].f1++;
            else if(A[j]<x && B[j]>y)  f3[i]++;  // i je u j
        }
    }

    sort(mg,mg+n,poredi);

    //for(i=0;i<n;i++)  cout<<mg[i].rb<<" "<<mg[i].f1<<endl;

    r=0;
    for(i=0;i<n;i++) {t[i]=0; r+=f3[i];}


    for(u=0;u<=n;u++)   //u je koliko ih je napred uslo
    {
        r=r+mg[i].f1-f3[mg[i].rb];
        res=min(res,r);
    }
    return res;
}